Debian Bug report logs - #460795
RM: spacechart, RoRA, RoM -- depends on gnome 1.x, dead upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: madcoder@debian.org

Date: Mon, 14 Jan 2008 23:01:58 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Francisco Garcia <franciscomanuel.garcia@hispalinux.es>:
Bug#460795; Package spacechart. Full text and rfc822 format available.

Acknowledgement sent to madcoder@debian.org:
New Bug report received and forwarded. Copy sent to Francisco Garcia <franciscomanuel.garcia@hispalinux.es>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: madcoder@debian.org
To: maintonly@bugs.debian.org
Subject: spacechart: your package depends from gnome-libs that is scheduled for removal
Date: Mon, 14 Jan 2008 23:57:08 +0100
Package: spacechart
Severity: important
User: debian-release@lists.debian.org
Usertags: gnome-1.x-removal

Hi,

Your package (spacechart) has been detected as depending on
gnome-libs, which as per release goal, won't be shipped in lenny.

Please make sure that your package drops its dependencies on
gnome-libs as soon as possible, or that it's ported to gnome2 one way
or the other.

This bug will be raised to RC severity as soon as gnome-libs are
removed from testing, which should happen soon, since it will make
your package uninstallable.

Cheers,

-- Pierre Habouzit 




Information forwarded to debian-bugs-dist@lists.debian.org, Francisco Garcia <franciscomanuel.garcia@hispalinux.es>:
Bug#460795; Package spacechart. Full text and rfc822 format available.

Acknowledgement sent to "Kevin B. McCarty" <kmccarty@gmail.com>:
Extra info received and forwarded to list. Copy sent to Francisco Garcia <franciscomanuel.garcia@hispalinux.es>. Full text and rfc822 format available.

Message #10 received at 460795@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@gmail.com>
To: 460795@bugs.debian.org
Cc: 460795-submitter@bugs.debian.org
Subject: spacechart re: gnome 1.2 removal
Date: Fri, 18 Jan 2008 11:05:23 -0800
[Message part 1 (text/plain, inline)]
Hi Francisco, Pierre,

for what it's worth, the last time I contacted spacechart upstream,
Miguel Coca <miguel AT cocabarrionuevo.com> about the deprecation of
gnome 1.2, this was his reply:

http://lists.alioth.debian.org/pipermail/stardata-common-devel/2006-March/000161.html

So unless someone else takes over as spacechart upstream (it won't be
me; I'm already upstream for starplot) and can port it to Gnome 2, it
sounds as though the Debian package will unfortunately have to be removed.

best regards,

-- 
Kevin B. McCarty <kmccarty@gmail.com>
WWW: http://www.starplot.org/
WWW: http://people.debian.org/~kmccarty/
GPG: public key ID 4F83C751

[signature.asc (application/pgp-signature, attachment)]

Message sent on to madcoder@debian.org:
Bug#460795. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Francisco Garcia <franciscomanuel.garcia@hispalinux.es>:
Bug#460795; Package spacechart. Full text and rfc822 format available.

Acknowledgement sent to Francisco García <franciscomanuel.garcia@hispalinux.es>:
Extra info received and forwarded to list. Copy sent to Francisco Garcia <franciscomanuel.garcia@hispalinux.es>. Full text and rfc822 format available.

Message #18 received at 460795@bugs.debian.org (full text, mbox):

From: Francisco García <franciscomanuel.garcia@hispalinux.es>
To: "Kevin B. McCarty" <kmccarty@gmail.com>, 460795@bugs.debian.org
Subject: Re: Bug#460795: spacechart re: gnome 1.2 removal
Date: Mon, 21 Jan 2008 22:56:36 +0100
[Message part 1 (text/plain, inline)]
Hi Kevin,

I know this problem with spacechart, I would like to have free time
to port it to Gnome 2, but I haven't it by now.
So, if I can't do it, and no one else does it. I suppose that at the end
spacechart will have to be removed.

Anyway I will try to do it in the next months, but it is not sure,
sorry.

Best regards.
Francisco.



El vie, 18-01-2008 a las 11:05 -0800, Kevin B. McCarty escribió:
> Hi Francisco, Pierre,
> 
> for what it's worth, the last time I contacted spacechart upstream,
> Miguel Coca <miguel AT cocabarrionuevo.com> about the deprecation of
> gnome 1.2, this was his reply:
> 
> http://lists.alioth.debian.org/pipermail/stardata-common-devel/2006-March/000161.html
> 
> So unless someone else takes over as spacechart upstream (it won't be
> me; I'm already upstream for starplot) and can port it to Gnome 2, it
> sounds as though the Debian package will unfortunately have to be removed.
> 
> best regards,
> 
-- 
Francisco García <franciscomanuel.garcia@hispalinux.es>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francisco Garcia <franciscomanuel.garcia@hispalinux.es>:
Bug#460795; Package spacechart. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Francisco Garcia <franciscomanuel.garcia@hispalinux.es>. Full text and rfc822 format available.

Message #23 received at 460795@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: 460795@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#460795: spacechart re: gnome 1.2 removal
Date: Thu, 24 Jan 2008 09:47:59 +0100
[Message part 1 (text/plain, inline)]
reassign 460795 ftp.debian.org
retitle 460795 RM: spacechart, RoRA, RoM -- depends on gnome 1.x, dead upstream
thanks


On Fri, Jan 18, 2008 at 07:05:23PM +0000, Kevin B. McCarty wrote:
> Hi Francisco, Pierre,
> 
> for what it's worth, the last time I contacted spacechart upstream,
> Miguel Coca <miguel AT cocabarrionuevo.com> about the deprecation of
> gnome 1.2, this was his reply:
> 
> http://lists.alioth.debian.org/pipermail/stardata-common-devel/2006-March/000161.html
> 
> So unless someone else takes over as spacechart upstream (it won't be
> me; I'm already upstream for starplot) and can port it to Gnome 2, it
> sounds as though the Debian package will unfortunately have to be removed.
> 
> best regards,
> 
> -- 
> Kevin B. McCarty <kmccarty@gmail.com>
> WWW: http://www.starplot.org/
> WWW: http://people.debian.org/~kmccarty/
> GPG: public key ID 4F83C751
> 



-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `spacechart' to `ftp.debian.org'. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Thu, 24 Jan 2008 08:52:03 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: spacechart, RoRA, RoM -- depends on gnome 1.x, dead upstream' from `spacechart: your package depends from gnome-libs that is scheduled for removal'. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Thu, 24 Jan 2008 08:52:04 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Thu, 24 Jan 2008 14:15:40 GMT) Full text and rfc822 format available.

Severity set to `normal' from `serious' Request was from madcoder@madism.org (Pierre Habouzit) to control@bugs.debian.org. (Thu, 24 Jan 2008 21:27:46 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to madcoder@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 460795-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 460795-close@bugs.debian.org
Cc: spacechart@packages.debian.org, spacechart@packages.qa.debian.org
Subject: Bug#460795: fixed
Date: Thu, 31 Jan 2008 00:31:56 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

spacechart | 0.9.5-13+b1 | hurd-i386, m68k
spacechart |   0.9.5-14 | source, alpha, amd64, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 460795@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Feb 2008 07:41:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:38:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.